Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.domain
Interface LobInterface

All Superinterfaces:
  BlobDomainInterface, DomainInterface, MutableDomainInterface

All Known Subinterfaces:
  LobStreamInterface

All Known Implementing Classes:
  Array, BFileDomain, BlobDomain, ClobDomain, Struct

public interface LobInterface
extends BlobDomainInterface, MutableDomainInterface

Provides methods to save data to, and extract data from, LOB domain classes. These methods are implemented by all LOB-based domain classes: `BlobDomain`, `BFileDomain`, and `ClobDomain`.

Domain classes encapsulate Oracle SQL datatypes. Domain objects can be converted to the standard JDBC data types.

Since:
  JDevloper 3.0
See Also:
  `TypeFactory`, "JboDomainValidator"

Method Summary
`DomainOwnerInterface` | `getOwner()` Returns the reference to owner of this domain (could be the row that this domain instance belongs to.)
`int` | `getOwnerAttributeIndex()`
`java.lang.String` | `getRemoteIdString()`
`long` | `getSize()`
`void` | `syncClientLob(LobInterface oldObject)` Synchronize client-side data from the given lob
`void` | `syncServerLob(LobInterface oldObject)` Synchronize the streams from an older version of this object so that this version works with the opened streams (if any).

Methods inherited from interface oracle.jbo.domain.BlobDomainInterface
`loadFromDatabase, prepareForDML, saveToDatabase, saveToDatabase`

Methods inherited from interface oracle.jbo.domain.DomainInterface
`getData, setContext`

Method Detail

### syncServerLob

    public void syncServerLob(LobInterface oldObject)

  Synchronize the streams from an older version of this object so that this version works with the opened streams (if any).

### syncClientLob

    public void syncClientLob(LobInterface oldObject)

  Synchronize client-side data from the given lob

### getOwner

    public DomainOwnerInterface getOwner()

  Returns the reference to owner of this domain (could be the row that this domain instance belongs to.)

### getSize

    public long getSize()

### getRemoteIdString

    public java.lang.String getRemoteIdString()

### getOwnerAttributeIndex

    public int getOwnerAttributeIndex()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.